#
# spec file for package ocaml-ptmap
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-ptmap
Version:        2.0.5
Release:        2.2
%{?ocaml_preserve_bytecode}
Summary:        Maps over integers implemented as Patricia trees
License:        LGPL-2.1-or-later WITH OCaml-linking-exception
ExclusiveArch:  aarch64 ppc64 ppc64le riscv64 s390x x86_64
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/ptmap
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101
BuildRequires:  ocamlfind(oUnit)
BuildRequires:  ocamlfind(qcheck)
BuildRequires:  ocamlfind(qtest)
BuildRequires:  ocamlfind(seq)
BuildRequires:  ocamlfind(stdlib-shims)

%description
OCaml implementation of an efficient maps over integers,
from a paper by Chris Okasaki.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='ptmap'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Sun May 21 2023 ohering@suse.de
- JaneStreet libraries are 64bit, this pkg depends on them
* Mon Sep  7 2020 ohering@suse.de
- Update to 2.0.5
  remove merged ptmap-ocaml-4.11.patch
* Thu Aug 20 2020 ohering@suse.de
- Handle OCaml 4.11 with ptmap-ocaml-4.11.patch
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 2.04, via _service file
  add new Map methods introduced in OCaml 4.07
- Remove 97849cd31363ac80306d714915d76dc5a06672cb.patch
* Thu Jun 14 2018 andy@onthewings.net
- Initial packaging.
